#!/usr/bin/env python

from simtk import openmm, unit
from simtk.openmm import app

print('Reading PDB file...')
pdbfile = app.PDBFile('b2ar-charmm36-membrane.pdb')
print('Reading forcefield...')
forcefield = app.ForceField('charmm36.xml', 'tip3p.xml')
print('Creating System...')
system = forcefield.createSystem(pdbfile.topology, nonbondedMethod=app.PME, constraints=app.HBonds)
print('Computing energy...')
integrator = openmm.VerletIntegrator(1.0 * unit.femtoseconds)
context = openmm.Context(system, integrator)
print(context.getState(getEnergy=True).getPotentialEnergy())
